org.apache.sling.featureflags

## Interface ExecutionContext

All Known Implementing Classes:
  ExecutionContextImpl

    @ProviderType
    public interface ExecutionContext

The `ExecutionContext` interface provides access to the context for evaluating whether a feature is enabled or not. Instances of this object are provided to the `Feature.isEnabled(ExecutionContext)` to help evaluating whether the feature is enabled or not.

This object provides access to live data and must only be used to read information. Modifying content through a `ResourceResolver` directly or indirectly provided by this object is considered inappropriate and faulty behavior.

Instances of this interface are provided by the feature manager to the `Feature` services. This interface is not intended to be implemented by client and application code.

### Method Summary

Methods
`Features` `getFeatures()` Return the `Features` manager.
`javax.servlet.http.HttpServletRequest` `getRequest()` Returns a `HttpServletRequest` object to retrieve information which may influence the decision whether a `Feature` is enabled or not.
`org.apache.sling.api.resource.ResourceResolver` `getResourceResolver()` Returns a `ResourceResolver` object to retrieve information which may influence the decision whether a `Feature` is enabled or not.

### Method Detail

#### getRequest

    javax.servlet.http.HttpServletRequest getRequest()

Returns a `HttpServletRequest` object to retrieve information which may influence the decision whether a `Feature` is enabled or not. If a `HttpServletRequest` object is not available in the context, this method may return `null`.

Returns:
  the request or `null`

#### getResourceResolver

    org.apache.sling.api.resource.ResourceResolver getResourceResolver()

Returns a `ResourceResolver` object to retrieve information which may influence the decision whether a `Feature` is enabled or not. If a `ResourceResolver` object is not available in the context, this method may return `null`.

Returns:
  the resource resolver or `null`

#### getFeatures

    Features getFeatures()

Return the `Features` manager. This allows a feature to find out about other features.

Since:
  1.1.0